Page MenuHome

A.N.T Landscape displayed as black when operator is updated
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 416.34

Blender Version
Broken: version: 2.80 (sub 60), branch: master, commit date: 2019-05-09 17:55, hash: rB427c75e4c20b
Worked: (optional)

Short description of error
Whenever changing a value in the A.N.T Landscape Operator, the mesh is displayed pure black. The display mode - solid, LookDev or rendered doesn't matter. Switching to edit mode and back resolves the issue.

The weirdest thing: I tried if it also happens in Cycles rendered mode (it doesn't), but when you switch to Cycles while the operator is active and then change a value, it switches back to Eevee and is black again.

Exact steps for others to reproduce the error

  • Add a Landscape
  • change the preset or update any value in the operator

Event Timeline

Brecht Van Lommel (brecht) changed the task status from Unknown Status to Resolved.May 14 2019, 1:24 AM
Brendon Murphy (meta-androcto) changed the task status from Resolved to Unknown Status.May 14 2019, 4:16 AM

hi, seems my was fix is inadequate, issue is clearly seen with eevee drawing flat shading making the object appear non descript. toggle edit mode fixes and restores smooth shading to it's normal "look", however, not sure if this is Blender bug or addon bug. I will investigate further.

HI.
i do have the same behavior in EEVEE and Cycles. in both the default shading goes flat black

System Information
Operating system: Linux-5.0.11-050011-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: GeForce RTX 2060/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 418.56

Blender Version
Broken: version: 2.80 (sub 71), branch: master, commit date: 2019-05-20 22:03, hash: rBe78770039397

Brendon Murphy (meta-androcto) lowered the priority of this task from 90 to 50.May 22 2019, 12:34 PM

hi, I can confirm this bug.
To reproduce: Add a landscape mesh, change any setting and mesh is drawn flat.
To workaround I've gone through and made shade smooth off by default everywhere but the issue still exists if you use smooth shading. I'm not going to commit this "fix" as it resolves nothing.
Open to suggestions.

Brendon Murphy (meta-androcto) lowered the priority of this task from 50 to Low.Jul 6 2019, 2:51 PM

hi, no real fix here, I first disabled the smooth_mesh as default but it still errors when enabling in the ui. I then removed (commented out) the smooth toggle from the operator ui. The Smooth toggle is still available in the Create Tab > Landscape Main Panel and works with the Regenerate button. I also discovered an unreported bug with the Create at Cursor toggle, This has been disabled in the ui also.
Lowing priority as the issue could be solved properly at a later time. Thanks.

Brendon Murphy (meta-androcto) changed the task status from Unknown Status to Resolved.Aug 26 2019, 1:30 AM

closing as resolved, I'm happy with the way this works and no-one has asked about the changes made.